<?php
/**
 * @package n3t Admin
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2018 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die;

class plgSystemN3tAdmin extends JPlugin {

  protected $autoloadLanguage = true;


 	public function onContentPrepareForm(JForm $form, $data)
	{
		$name = $form->getName();
		if ($name != 'com_content.articles.filter')
      return true;

    $app = JFactory::getApplication();
    if (!$app->isClient('administrator'))
      return true;

    if ($this->params->get('articles_filter_category_single', 0)) {
      // set field attributes
      $form->setFieldAttribute('category_id', 'multiple', 'false', 'filter');
      $form->setFieldAttribute('category_id', 'class', '', 'filter');

      // Add empty option
      $field = $form->getFieldXml('category_id', 'filter');
      $fieldDom = dom_import_simplexml($field);
      $hasChildren = $fieldDom->hasChildNodes();
      $option = $field->addChild('option', JText::_(JOPTION_SELECT_CATEGORY));

      if ($hasChildren) {
        $optionDom = $fieldDom->ownerDocument->importNode(dom_import_simplexml($option), true);
        $fieldDom->insertBefore($optionDom, $fieldDom->firstChild);
      }
    }

    return true;
	}
}
